
GammaLib - Feature #912

Implement an ON-OFF fitter class

06/23/2013 03:46 PM - Martin Pierrick

Status: Rejected Start date: 10/10/2012

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: HESS sprint #1   

Description

The context of this task is the extension of the gammalib to allow the analysis of data from Cherenkov telescopes in a way currently

adopted by the HESS/VERITAS/MAGIC collaborations: the ON and OFF technique, which can be used in different ways. As a first

step, we focus on the spectral analysis of a source observed in wobble mode, with the reflected region background evaluation

method (see Berge et al. 2007).

As part of this effort, a code structure was proposed in which a background maker class prepares the ON and OFF data that are then

used by a fitter class to produce the final results. There is an abstract interface for the fitter, and derived classes for each kind of

analysis (such as spectral, morphological,...etc). The arithmetics and/or fit funtion specific to each analysis is/are defined in the fitter

class, but the fit is done by calling a general external optimizer.

Draft headers for a GOnOffFitter abstract interface and for a GOnOffFitterSpectrum derived object are provided. They are very likely

perfectible and the immediate objective is to refine the interface and fill in their functionalities during the coding sprint to be held in

Toulouse on 24-28 June 2013.

The philosophy is explained in the comment section of each class header, which also contains a list of points to be

clarified/discussed.

Note: a related wiki with some documentation is [[CTA_on-off_fitting]]

Subtasks:

Action # 570: Test case script Closed

Action # 540: Preliminary discussion Closed

Action # 913: Implement GOnOffFitter abstract class Rejected

Action # 917: Implement GOnOffFitterSpectrum unit test Rejected

Action # 914: Implement GOnOffFitterSpectrum class Rejected

History

#1 - 06/23/2013 04:23 PM - Martin Pierrick

- Description updated

#2 - 06/25/2013 10:06 PM - Knödlseder Jürgen

- Status changed from New to Rejected

It has been decided that no maker classes will be used but that specific ctools will be implemented.

Files

GOnOffFitter.hpp 6.77 KB 06/23/2013 Martin Pierrick

GOnOffFitterSpectrum.hpp 6.92 KB 06/23/2013 Martin Pierrick
